***

title: deployVersion
slug: /reference/typescript/rest/fabric/call-flows/deploy-version
description: Deploy a specific version of a call flow.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Deploy a specific version of a call flow resource.

<EndpointSchemaSnippet endpoint="POST /api/fabric/resources/call_flow/{id}/versions" />

## **Response Example**

<EndpointResponseSnippet endpoint="POST /api/fabric/resources/call_flow/{id}/versions" />

## **Example**

```typescript {9}
import { RestClient } from "@signalwire/sdk";

const client = new RestClient({
  project: "your-project-id",
  token: "your-api-token",
  host: "your-space.signalwire.com"
});

const result = await client.fabric.callFlows.deployVersion("call-flow-id", {
  call_flow_version_id: "version-id",
});
console.log(`Deployed version: ${result.id}`);
```